Instalar Compiz / CompComm / Compiz Fusion

Desde repositorios!!:

Compiz-Fusion es el nuevo nombre de CompComm (Beryl+Compiz).

Aca hay instrucciones para instalarlo desde REPOSITORIOS.

1. Si tienes Kubuntu:

sudo kate /etc/apt/sources.list


2. Si tienes Ubuntu:

sudo gedit /etc/apt/sources.list

Agregar las siguientes líneas:

# Repositorio de Treviño’s Ubuntu feisty EyeCandy (GPG key: 81836EBF – DD800CD9)
deb http://download.tuxfamily.org/3v1deb feisty eyecandy
deb-src http://download.tuxfamily.org/3v1deb feisty eyecandy

Ejecutar la clave GPG:

KEY=81836EBF; gpg –keyserver subkeys.pgp.net –recv $KEY && gpg –export –armor $KEY | sudo apt-key add –

Instalar paquetes de Compiz
1. Si tienes Kubuntu:

sudo apt-get install compiz compiz-kde

2. Si tienes Ubuntu:

sudo apt-get install compiz compiz-gnome

Instalar el configurador CompizConfig

sudo apt-get install compizconfig-settings-manager

Instalar Compiz-Fusion

sudo apt-get install compiz-fusion-*

Y para correr Compiz:

compiz –replace

Saludos.

Actualizado: Problemas Conocidos:

Si no se te ven los bordes, ejecuta:
emerald --replace &

Anuncios

17 comments so far

  1. alejandro on

    HOla. Instalé siguiendo este instructivo y cuando ejecuto compiz –replace, se van las barras de títulos de las ventanas. Tengo Kubuntu 7.04 y NVIDIA GTS800. Gracias

  2. Strike on

    alejandro: Para poder ayudarte, necesito saber que error tienes.

    Puedes hacer lo siguiente: Corre compiz desde la konsole, y depsues de eso abre una nueva terminal o trata de ejectuar: kwin –replace. Una vez hecho eso, copia y pega el error de Compiz.

    Saludos.

  3. […] Instalar Compiz Fusion (ex CompComm, Beryl) desde Repositoriosstrk.wordpress.com/2007/06/21/instalar-compiz-compcomm-compi… por Strk hace pocos segundos […]

  4. Manuel on

    Hola, me da el siguiente error:

    Preparando para reemplazar compiz-gnome 1:0.3.6-1ubuntu13 (usando …/compiz-gnome_1%3a0.5.1+git20070627~3v1ubuntu1_i386.deb) …
    Desempaquetando el reemplazo de compiz-gnome …
    dpkg: error al procesar /var/cache/apt/archives/compiz-gnome_1%3a0.5.1+git20070627~3v1ubuntu1_i386.deb (–unpack):
    intentando sobreescribir `/usr/lib/compiz/libgconf.so’, que está también en el paquete compiz-plugins
    Se encontraron errores al procesar:
    /var/cache/apt/archives/compiz-gnome_1%3a0.5.1+git20070627~3v1ubuntu1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  5. Strike on

    Manuel: Desintala el paquete compiz-plugins (sudo apt-get remove compiz-plugins) y vuelve a intentarlo.

    Saludos.

  6. Manuel on

    Hola, gracias, con eso funcionó. Pero se me borraron las barras, pero ya lo solucioné.
    Otra cosa, activo muchos pluggins pero no trabajan, marco skydomes, etc, pero las modificaciones no surten efecto, ni una.

  7. TuRcO on

    Hola Me parecio muy buena la guia y muy simple érp tengo el problema de que cuando quiero activar el compis poniendo el “compiz –replace” me tira el siguiente error

    Fatal: Failed test: texture_from_pixmap support
    Checks indicate that it’s impossible to start compiz on your system.

    Me sabrias decir que puedo hacer? tengo una ati radeon 9550 de 256, no se si influye algo, pero tmb tengo una sintonizadora yuna capturadora de video pinacle dc10

  8. Strike on

    TuRcO: Ese error lo tira por la tarjeta, ve si tienes los drivers de la tarjeta instalados.

  9. TuRcO on

    Si justamente, cuando instalo los drivers que vienen en ubuntu de mi targeta es cunado deja de funcionarme el compiz… sin nada instalado, digamos que con lo generico anda, cuando le pongo los driver deja de funcionarme, se nota que anda mejor por la aceleracion 3d, pero no anda el compiz

  10. DarKSchneideR on

    Manuel como solucionaste lo de las barras?

  11. BlackSoul on

    tengo una ati radeon 200m y ya instale los driver y active la aceleracion grafica, pero al iniciar el compiz me manda este error:
    Fatal: Failed test: texture_from_pixmap support
    como lo soluciono.

  12. Juan Carlos on

    hola! mira.. me sale el siguiente problema:
    jaris@ubuntu:~$ sudo apt-get install compiz compiz-gnome
    Password:
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo información de estado… Hecho
    compiz ya está en su versión más reciente.
    compiz-gnome ya está en su versión más reciente.
    0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
    jaris@ubuntu:~$ sudo apt-get install compizconfig-settings-manager
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo información de estado… Hecho
    E: No se pudo encontrar el paquete compizconfig-settings-manager
    jaris@ubuntu:~$ sudo apt-get install compiz-fusion-*
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo información de estado… Hecho
    E: No se pudo encontrar el paquete compiz-fusion-*
    osea que no encuentra el paquete…. me podrias ayudar… muchas grax!

  13. Strike on

    Juan Carlos: Sigue todos los pasos, lo mas probable es que no hayas modificado tus repositorios.

    Inténtalo de nuevo.

    Saludos.

  14. Juan Carlos on

    Strike, trate de hacerlo denuevo, pero mira… me tira errores desde el primer comando…

    jaris@Juan Carlos:~$ KEY=81836EBF; gpg –keyserver subkeys.pgp.net –recv $KEY && gpg –export –armor $KEY | sudo apt-key add –
    uso: gpg [opciones] [nombre_fichero]
    jaris@Juan Carlos:~$ sudo apt-get install compiz compiz-gnome
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo información de estado… Hecho
    Los siguientes paquetes se ELIMINARÁN:
    compiz-gtk
    Se actualizarán los siguientes paquetes:
    compiz compiz-gnome
    2 actualizados, 0 se instalarán, 1 para eliminar y 6 no actualizados.
    Necesito descargar 320kB de archivos.
    Se utilizarán 1188kB de espacio de disco adicional después de desempaquetar.
    ¿Desea continuar [S/n]? S
    AVISO: ¡No se han podido autenticar los siguientes paquetes!
    compiz compiz-gnome
    ¿Instalar estos paquetes sin verificación [s/N]? s
    Des:1 http://download.tuxfamily.org feisty/eyecandy compiz 1:0.5.5~git20071006+3v1ubuntu0 [29,2kB]
    Des:2 http://download.tuxfamily.org feisty/eyecandy compiz-gnome 1:0.5.5~git20071006+3v1ubuntu0 [291kB]
    Descargados 320kB en 3s (86,7kB/s)
    (Leyendo la base de datos …
    112084 ficheros y directorios instalados actualmente.)
    Preparando para reemplazar compiz 1:0.3.6-1ubuntu13 (usando …/compiz_1%3a0.5.5~git20071006+3v1ubuntu0_all.deb) …
    Desempaquetando el reemplazo de compiz …
    dpkg: compiz-gtk: problemas de dependencias, pero se desinstalará de todas formas
    tal y como se solicitó:
    compiz-gnome depende de compiz-gtk (= 1:0.3.6-1ubuntu13).
    (Leyendo la base de datos …
    112083 ficheros y directorios instalados actualmente.)
    Desinstalando compiz-gtk …
    (Leyendo la base de datos …
    112073 ficheros y directorios instalados actualmente.)
    Preparando para reemplazar compiz-gnome 1:0.3.6-1ubuntu13 (usando …/compiz-gnome_1%3a0.5.5~git20071006+3v1ubuntu0_i386.deb) …
    Desempaquetando el reemplazo de compiz-gnome …
    dpkg: error al procesar /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20071006+3v1ubuntu0_i386.deb (–unpack):
    intentando sobreescribir `/usr/lib/compiz/libgconf.so’, que está también en el paquete compiz-plugins
    dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
    Se encontraron errores al procesar:
    /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20071006+3v1ubuntu0_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    muchas gracias!

  15. fernando on

    he intentado de todo y lo unico que he podido es activar los efectos extra cuando intento usar el compiz me sale este error por fa ayudenmeee soy tri nuevo en esto , tambn para activar los sonidos no encuentro solucion!!!1

    Des:1 http://download.tuxfamily.org feisty/eyecandy compiz-fusion-plugins-unofficial 0.0.2~git20070921+3v1ubuntu0 [431kB]
    Des:2 http://download.tuxfamily.org feisty/eyecandy compiz-fusion-plugins-unsupported 0.5.2~git20071006+3v1ubuntu0 [360kB]
    Descargados 791kB en 31s (25.5kB/s)
    Seleccionando el paquete compiz-fusion-plugins-unofficial previamente no seleccionado.
    (Leyendo la base de datos …
    104090 ficheros y directorios instalados actualmente.)
    Desempaquetando compiz-fusion-plugins-unofficial (de …/compiz-fusion-plugins-unofficial_0.0.2~git20070921+3v1ubuntu0_i386.deb) …
    dpkg: error al procesar /var/cache/apt/archives/compiz-fusion-plugins-unofficial_0.0.2~git20070921+3v1ubuntu0_i386.deb (–unpack):
    intentando sobreescribir `/usr/lib/compiz/lib3d.so’, que está también en el paquete compiz-fusion-plugins-extra
    dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
    Seleccionando el paquete compiz-fusion-plugins-unsupported previamente no seleccionado.
    Desempaquetando compiz-fusion-plugins-unsupported (de …/compiz-fusion-plugins-unsupported_0.5.2~git20071006+3v1ubuntu0_i386.deb) …
    dpkg: error al procesar /var/cache/apt/archives/compiz-fusion-plugins-unsupported_0.5.2~git20071006+3v1ubuntu0_i386.deb (–unpack):
    intentando sobreescribir `/usr/share/compiz/3d.xml’, que está también en el paquete compiz-fusion-plugins-extra
    dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
    Se encontraron errores al procesar:
    /var/cache/apt/archives/compiz-fusion-plugins-unofficial_0.0.2~git20070921+3v1ubuntu0_i386.deb
    /var/cache/apt/archives/compiz-fusion-plugins-unsupported_0.5.2~git20071006+3v1ubuntu0_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    fernando@fel:~$ compiz –replace
    Checking for Xgl: not present.
    Detected PCI ID for VGA: 00:02.0 0300: 8086:2a02 (rev 0c) (prog-if 00 [VGA controller])
    Checking for texture_from_pixmap: not present.
    Trying again with indirect rendering:
    Checking for texture_from_pixmap: present.
    Checking for non power of two support: present.
    Checking for Composite extension: present.
    Comparing resolution (1280×800) to maximum 3D texture size (2048): Passed.
    Checking for nVidia: not present.
    Checking for FBConfig: present.
    Checking for Xgl: not present.
    /usr/bin/compiz.real (core) – Error: Couldn’t load plugin ‘–replace’
    /usr/bin/compiz.real (core) – Warn: Plugin ‘core’ already active
    /usr/bin/compiz.real (video) – Warn: No 8 bit GLX pixmap format, disabling YV12 image format
    GConf backend: There is an unsupported value at path /apps/compiz/plugins/scale/allscreens/options/initiate_edge. Settings from this path won’t be read. Try to remove that value so that operation can continue properly.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s

A %d blogueros les gusta esto: